
import org.apache.commons.net.ftp.FTPClient;
import org.apache.commons.net.ftp.FTPFile;
import org.apache.commons.io.FileUtils;
import java.io.IOException;

public class main {
  public static void main(String[] args) {
    FTPClient client = new FTPClient();

    client.connect("ftp.cluster011.ovh.net");
    client.login("analogde", "rainbow");

    String[] names = client.listNames();
    for (String name : names) {
      System.out.println("Name = " + name);
    }

    FTPFile[] ftpFiles = client.listFiles();
    for (FTPFile ftpFile : ftpFiles) {
      // Check if FTPFile is a regular file
      if (ftpFile.getType() == FTPFile.FILE_TYPE) {
        System.out.println("FTPFile: " + ftpFile.getName() + "; "
            + FileUtils.byteCountToDisplaySize(ftpFile.getSize()));
      }
    }
    client.logout();
    client.disconnect();
  }
}
 